﻿@using JobHunt.BU.Manage
@using JobHunt.BU.DTO
@using JobHunt.BU.Common
@using Microsoft.AspNet.Identity
@using Microsoft.AspNet.Identity.Owin
@using Microsoft.Owin.Security
@{
    Layout = null;
    var InfoCandidate = (CandidateDTO)(new CandidateManage().GetCandidateInfoByIdAspNetUser(User.Identity.GetUserId()));
    var InfoRecruit = (RecruitDTO)(new RecruitManage().GetRecruitInfoByIdAspNetUser(User.Identity.GetUserId()));
}
<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>@ViewBag.Title</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta name="author" content="CreativeLayers">

    <script src="~/Assets/client/js/jquery.min.js" type="text/javascript"></script>


    <!-- Styles -->
    @*<link rel="stylesheet" type="text/css" href="~/Assets/client/css/bootstrap.css" />*@
    <link rel="stylesheet" type="text/css" href="~/Assets/client/css/bootstrap-grid.css" />
    <link rel="stylesheet" href="~/Assets/client/css/icons.css">
    <link rel="stylesheet" href="~/Assets/client/css/animate.min.css">
    <link rel="stylesheet" type="text/css" href="~/Assets/client/css/style.css" />
    <link rel="stylesheet" type="text/css" href="~/Assets/client/css/responsive.css" />
    <link rel="stylesheet" type="text/css" href="~/Assets/client/css/chosen.css" />
    <link rel="stylesheet" type="text/css" href="~/Assets/client/css/colors/colors.css" />
    <link href="~/Assets/admin/libs/summernote/bootstrap.css" rel="stylesheet" />

    <link href="~/Assets/client/css/main.css" rel="stylesheet" />
    <link href="~/Assets/admin/css/font-awesome.min.css" rel="stylesheet" />


    @* datetime picker *@
    <link rel="stylesheet" type="text/css" href="~/Assets/client/css/bootstrap-datepicker.css" />

    <script src="~/Assets/client/js/jquery.min.js" type="text/javascript"></script>
    @*<script src="~/Assets/client/summernote/src/js/jquery.js"></script>*@


    <script src="~/Assets/admin/libs/summernote/popper.js"></script>
    <script src="~/Assets/admin/libs/summernote/bootstrap.js"></script>

    <link rel="stylesheet" href="~/Assets/client/summernote/dist/summernote-bs4.css">
    <script type="text/javascript" src="~/Assets/client/summernote/dist/summernote-bs4.js"></script>
    @*<script src="~/Assets/client/js/jquery.validate.js"></script>*@

</head>
<body>

    @*<div class="page-loading">
            <img src="~/Assets/client/images/loader.gif" alt="" />
            <span>Skip Loader</span>
        </div>*@

    <div class="theme-layout" id="scrollup">

        @Html.Partial("_LayoutResponsiveHeader")

        @Html.Partial("_LayoutHeader")

        <section class="overlape">
            <div class="block no-padding">
                <div data-velocity="-.1" style="background: url(/Assets/client/images/resource/mslider1.jpg) repeat scroll 50% 422.28px transparent;" class="parallax scrolly-invisible no-parallax"></div><!-- PARALLAX BACKGROUND IMAGE -->
                <div class="container fluid">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="inner-header">
                                @*<h3>Xin chào @InfoCandidate.CddFullName</h3>*@
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <section>
            <div class="block no-padding">
                <div class="container">
                    <div id="AlertBox" class="alert hide" role="alert">
                        @if (Request.IsAuthenticated)
                        {
                            if (User.IsInRole("Người tìm việc"))
                            {
                                if (InfoCandidate.CPStatus == (int)JobHunt.BU.Common.Enum.StatusCandidate.Approvaling)
                                {
                                    <p style="font-size: 20px;text-align: center;color: red;text-transform:uppercase;font-weight:bold">Bạn cần hoàn thiện hồ sơ và được quản trị duyệt để thực hiện các chức năng của website</p>
                                }
                                else if (InfoCandidate.CPStatus == (int)JobHunt.BU.Common.Enum.StatusCandidate.Block)
                                {
                                    <p style="font-size: 20px;text-align: center;color: red;text-transform:uppercase;font-weight:bold">Tài khoản của bạn đã bị tạm ngưng. Liên hệ admin để biết thêm thông tin chi tiết</p>
                                }
                            }
                            else if (User.IsInRole("Người tuyển dụng"))
                            {
                                if (InfoRecruit.RIStatus == (int)JobHunt.BU.Common.Enum.StatusRecruit.Approvaling)
                                {
                                    <p style="font-size: 20px;text-align: center;color: red;text-transform:uppercase;font-weight:bold">Bạn cần hoàn thiện hồ sơ và được quản trị duyệt để thực hiện các chức năng của website</p>
                                }
                                else if (InfoRecruit.RIStatus == (int)JobHunt.BU.Common.Enum.StatusRecruit.Block)
                                {
                                    <p style="font-size: 20px;text-align: center;color: red;text-transform:uppercase;font-weight:bold">Tài khoản của bạn đã bị tạm ngưng. Liên hệ admin để biết thêm thông tin chi tiết</p>
                                }
                            }
                        }
                    </div>


                    <div class="row no-gape">
                        @*Layout menu left*@
                        @Html.Partial("_LayoutMenuLeft")

                        @RenderBody()
                    </div>
                </div>
            </div>
        </section>

        @*Footer*@
        @Html.Partial("_LayoutFooter")

    </div>

    @*<div class="profile-sidebar">
            <span class="close-profile"><i class="la la-close"></i></span>
            <div class="can-detail-s">
                <div class="cst"><img src="images/resource/es1.jpg" alt="" /></div>
                <h3>David CARLOS</h3>
                <span><i>UX / UI Designer</i> at Atract Solutions</span>
                <p>creativelayers088@gmail.com</p>
                <p>Member Since, 2017</p>
                <p><i class="la la-map-marker"></i>Istanbul / Turkey</p>
            </div>
            <div class="tree_widget-sec">
                <ul>
                    <li class="inner-child active">
                        <a href="#" title=""><i class="la la-file-text"></i>My Profile</a>
                        <ul style="display: block;">
                            <li><a href="#" title="">My Profile</a></li>
                            <li><a href="#" title="">Social Network</a></li>
                            <li><a href="#" title="">Contact Information</a></li>
                        </ul>
                    </li>
                    <li class="inner-child">
                        <a href="#" title=""><i class="la la-briefcase"></i>My Resume</a>
                        <ul>
                            <li><a href="#" title="">Education</a></li>
                            <li><a href="#" title="">Work Experience</a></li>
                            <li><a href="#" title="">Portfolio</a></li>
                            <li><a href="#" title="">Professional Skills</a></li>
                            <li><a href="#" title="">Awards</a></li>
                        </ul>
                    </li>
                    <li class="inner-child">
                        <a href="#" title=""><i class="la la-money"></i>Shorlisted Job</a>
                        <ul>
                            <li><a href="#" title="">My Profile</a></li>
                            <li><a href="#" title="">Social Network</a></li>
                            <li><a href="#" title="">Contact Information</a></li>
                        </ul>
                    </li>
                    <li class="inner-child">
                        <a href="#" title=""><i class="la la-paper-plane"></i>Applied Job</a>
                        <ul>
                            <li><a href="#" title="">My Profile</a></li>
                            <li><a href="#" title="">Social Network</a></li>
                            <li><a href="#" title="">Contact Information</a></li>
                        </ul>
                    </li>
                    <li class="inner-child">
                        <a href="#" title=""><i class="la la-user"></i>Job Alerts</a>
                        <ul>
                            <li><a href="#" title="">My Profile</a></li>
                            <li><a href="#" title="">Social Network</a></li>
                            <li><a href="#" title="">Contact Information</a></li>
                        </ul>
                    </li>
                    <li class="inner-child">
                        <a href="#" title=""><i class="la la-file-text"></i>Cv & Cover Letter</a>
                        <ul>
                            <li><a href="#" title="">My Profile</a></li>
                            <li><a href="#" title="">Social Network</a></li>
                            <li><a href="#" title="">Contact Information</a></li>
                        </ul>
                    </li>
                    <li class="inner-child">
                        <a href="#" title=""><i class="la la-flash"></i>Change Password</a>
                        <ul>
                            <li><a href="#" title="">My Profile</a></li>
                            <li><a href="#" title="">Social Network</a></li>
                            <li><a href="#" title="">Contact Information</a></li>
                        </ul>
                    </li>
                    <li><a href="#" title=""><i class="la la-unlink"></i>Logout</a></li>
                </ul>
            </div>
        </div>*@<!-- Profile Sidebar -->

    <script src="~/Assets/client/js/jquery.validate.min.js"></script>
    <script src="~/Assets/client/js/additional-methods.min.js"></script>
    <script src="~/Assets/client/js/validator.js"></script>
    <script src="~/Assets/client/js/main.js"></script>
    <script src="~/Assets/client/js/test.js"></script>
    <script src="~/Assets/client/js/address.js"></script>
    @*<script src="~/Assets/client/js/bootstrap-datepicker.js"></script>*@

    <script src="~/Assets/client/js/modernizr.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/script.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/wow.min.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/select-chosen.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/jquery.scrollbar.min.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/circle-progress.min.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/tag.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/slick.min.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/parallax.js" type="text/javascript"></script>



    <script src="~/Assets/client/js/notify/notify.js"></script>
    <script src="~/Assets/client/js/notify/notify.min.js"></script>


    <script type="text/javascript">
        $(document).ready(function () {
            $('.summernote').summernote({
                height: 300,
                tabsize: 2
            });
        });
    </script>

    @* summernote *@

    <!-- include libs stylesheets -->
    @*<link href="~/Assets/client/summernote/dist/bootstrap.css" rel="stylesheet" />
        <script src="~/Assets/client/summernote/src/js/popper.js"></script>
        <script src="~/Assets/client/summernote/src/js/bootstrap.js"></script>*@



</body>
</html>

